Subject: bug#61788: [3.0.9] --disable-tmpnam build fails "make check"

From: Matt Wette <[email-masked]>
Date: Sat, 25 Feb 2023 10:24:25 -0800

I built gule-3.0.9 with "configure --disable-tmpnam" and get the
following failure from posix.test while running "make check":

Running ports.test
warning: call to primitive-fork while multiple threads are running;
          further behavior unspecified.  See "Processes" in the
          manual, for more information.
Running posix.test
In execvp of something-that-does-not-exist: No such file or directory
In execvp of something-that-does-not-exist: No such file or directory
In execvp of something-that-does-not-exist: No such file or directory
ERROR: posix.test: system*: https://bugs.gnu.org/52835 - arguments:
  ((unbound-variable #f "Unbound variable: ~S" (tmpnam) #f))
Running print.test

I'm guessing this should use mkstemp instead, but I could not get
it to work.